[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# IInvokable

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Interface with RTTI associated with it.

## Declaration

Source position: objpash.inc line 253

`type IInvokable = interface(IInterface) end;`

## Inheritance

`IInvokable` |  | Interface with RTTI associated with it.
`IInterface`
?

## Description

IInvokable is a descendent of IInterface, compiled in the {$M+} state, so Run-Time Type Information (RTTI) is generated for it.

## See also

IDispatch |  | Dispatch interface
IInterface |  | Basic interface for all COM based interfaces

Documentation generated on: Feb 26 2014